#include <16F877.h>

long int CRC16(char *message, int length);

main()
{
	long int crcANS;
	char test[5];

	test[0] = 5;
	test[1] = 4;
	test[2] = 3;
	test[3] = 2;
	test[4] = 1;

	crcANS = CRC16(test,5);

	Sleep();
}




long int CRC16(char *message,int length)
{
	/* 16-bit var's */
	long int CRC = 0xFFFF,	     		/* CRC initialised with all '1's  */
		       i,            		/* Loop Control                   */
		       temp;	        	/* Temp for swap                  */

	while (length--)                	/* Loop until all bytes calulated */
	{
		CRC=CRC^(*message++);

		for (i=0;i++<8;)		/* Shift all 8-bits               */
		{
			if (CRC & 0x0001) CRC = (CRC>>1) ^0xA001;
			else CRC>>=1;
		}
	}

	temp = CRC & 0xFF;                 	/* Temp storage for swap          */
	CRC = ((CRC>>8)&0xFF) + (temp<<8); 	/* Swap high amd low byte         */

	return (CRC);  		     	     	/* Return calulated 16-bit CRC    */
}
