/* --------------------------------------------------------
   | FILE    : mark_c1.c                                  |
   | PROJECT : Low Cost PC Based Oscilloscope             |
   | DESC    : Test RS232                                 |
   | ==================================================== |
   | DATE    : 19/02/2002                                 |
   | BY      : Colin K McCord                             |
   | VERSION : 1.0                                        |
   -------------------------------------------------------- */


#include <16F877.h>
#device PIC16F877 *=16 ADC=10

#fuses HS,NOWDT,NOPROTECT,NOLVP
#use delay(clock = 4000000)	// 4MHz clock, change this value if using different clock speed.
#use rs232(baud=9600, xmit = PIN_C6, rcv = PIN_C7, parity = N, bits = 8)


main()
{

	while(TRUE)
	{	
		/* Note prinf could be used but this fuction is wasteful and will not be used */
		putc('T');	// Transmit T
		putc('e');	// Transmit e
		putc('s');	// Transmit s
		putc('t');	// Transmit t
		putc('i');	// Transmit i
		putc('n');	// Transmit n
		putc('g');	// Transmit g
		putc('.');	// Transmit .
		putc('.');	// Transmit .
		putc('.');	// Transmit .

		delay_ms(1000);	// Present delay, repeat every second
	}
}
