/* -------------------------------------------------------
  | FILE    : mark_c2.c                                  |
  | PROJECT : Low Cost PC Based Oscilloscope             |
  | DESC    : Test Serial Communications, waits for an   |
  | 	      incoming char and transmits the char.      |
  | ==================================================== |
  | DATE    : 19/02/2002                                 |
  | BY      : Colin K McCord                             |
  | VERSION : 1.0                                        |
  -------------------------------------------------------- */	


#include <16F877.h>
#device PIC16F877 *=16 ADC=10


#fuses HS,NOWDT,NOPROTECT,NOLVP
#use delay(clock = 4000000)
#use rs232(baud=9600, xmit = PIN_C6, rcv = PIN_C7, parity = N, bits = 8)


main()
{
	/* Note kbhit() can be used to check for incomming char before calling getc() */
	while(TRUE)
	{
		putc(getc());	// Wait for incomming char and transmit....
	}

}
